/* Google font*/
@import url("https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
/* Basic CSS styles */
* {
  color: #444746;
  font-family: "Roboto", sans-serif;
  font-weight: 500;
  font-style: normal;
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}
body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #111927;
  background-image: radial-gradient(
      at 47% 33%,
      hsl(234.55, 40%, 16%) 0,
      transparent 59%
    ),
    radial-gradient(at 82% 65%, hsl(218, 39%, 11%) 0, transparent 55%);
}

.navbar a {
  color: #708a98;
  font-weight: 600;
}
.nav-link:hover{
  color: #288865;
}

.navbar img {
  width: 50px;
  padding: 3px;
  margin-right: 5px;
}
.navbar-toggler {
  transition: 0.2s;
  font-size: 15px;
  backdrop-filter: blur(25px) saturate(300%);
  -webkit-backdrop-filter: blur(25px) saturate(300%);
  background-color: rgba(20, 20, 20, 0.66);
  border: 1px solid rgba(255, 255, 255, 0.125);
}
.navbar-toggler:focus {
  color: transparent;
}

.mainText {
  cursor: default;
  background: #5481eb;
  background: linear-gradient(to right, #5481eb 0%, #d96570 80%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.container-fluid {
  padding: 0 10vh;
}
.container {
  padding: 0 20px;
}

.fixedElement {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  z-index: 1;
}

h1 {
  text-align: center;
}
input[type="text"],input[type="email"],
textarea {
  width: 100%;
  padding: 10px;
  border: none;
  border-radius: 5px;
  margin-bottom: 10px;
  font-size: 16px;
  font-weight: 500;
  backdrop-filter: blur(25px) saturate(300%);
  -webkit-backdrop-filter: blur(25px) saturate(300%);
  background-color: rgba(30, 31, 32, 0.66);
  border-radius: 12px;
  border: 1px solid rgba(255, 255, 255, 0.125);
  transition: 0.2s;
}
input[type="text"]:focus,input[type="email"]:focus,
textarea:focus {
  color: #b0b5bd;
  outline: none;
  backdrop-filter: blur(25px) saturate(300%);
  -webkit-backdrop-filter: blur(25px) saturate(300%);
  background-color: rgba(20, 20, 20, 0.66);
  border: 1px solid rgba(255, 255, 255, 0.125);
  transition: 0.2s;
}
.categoryFilter {
  font-weight: 500;
  border: none;
  padding: 2px;
  border-radius: 5px;
  backdrop-filter: blur(25px) saturate(300%);
  -webkit-backdrop-filter: blur(25px) saturate(300%);
  background-color: rgba(20, 20, 20, 0.66);
  border: 1px solid rgba(255, 255, 255, 0.125);
}
.categoryFilter option {
  background-color: #141a2d;
  color: #b1b9c6;
  font-size: 14px;
}

.categoryFilter:focus {
  outline: none;
}

.product-list {
  list-style-type: none;
  padding: 0;
  margin-left: 4px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.product-item {
  margin: 5px;
  padding-right: 5px;
  border-radius: 10px;
  backdrop-filter: blur(25px) saturate(300%);
  -webkit-backdrop-filter: blur(25px) saturate(300%);
  background-color: rgba(30, 31, 32, 0.66);
  border: 1px solid rgba(255, 255, 255, 0.125);
  color: #b1b9c6;
  transition: 0.2s;
}
.product-item:hover {
  backdrop-filter: blur(25px) saturate(300%);
  -webkit-backdrop-filter: blur(25px) saturate(300%);
  background-color: rgba(20, 20, 20, 0.66);
  border: 1px solid rgba(255, 255, 255, 0.125);
}
.product-item a {
  font-size: 14px;
  width: 100%;
  color: #b1b9c6;
  text-decoration: none;
  display: flex;
  align-items: center;
}

.product-item img {
  border-radius: 15px;
  text-align: center;
  padding: 5px;
  max-width: 50px;
  width: 120px;
  margin-right: 20px;
}
.category-title {
  font-size: 18px;
  font-weight: bold;
  margin-top: 20px;
}
.most-searched {
  margin-top: 30px;
}

.copyRight {
  display: flex;
  justify-content: center;
  margin-top: auto;
  text-align: center;
  backdrop-filter: blur(25px) saturate(300%);
  -webkit-backdrop-filter: blur(25px) saturate(300%);
  background-color: rgba(30, 31, 32, 0.66);
  border: 1px solid rgba(255, 255, 255, 0.125);
  font-size: 12px;
  padding: 5px;
}

@media screen and (max-width: 992px) {
  .product-list {
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (max-width: 508px) {
  .product-list {
    grid-template-columns: 1fr;
  }
  .container-fluid {
    padding: 0 2vh;
  }
}

/* width */
::-webkit-scrollbar {
  width: 5px;
}
/* Track */
::-webkit-scrollbar-track {
  background: #000000;
}

/* Handle */
::-webkit-scrollbar-thumb {
  backdrop-filter: blur(25px) saturate(300%);
  -webkit-backdrop-filter: blur(25px) saturate(300%);
  background-color: rgba(30, 31, 32, 0.66);
  border: 1px solid rgba(255, 255, 255, 0.125);
  border-radius: 5px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #464545;
}

/*feedback CSS */
.fb-container {
  position: fixed;
  inset: 0px;
  height: 50%;
  margin: auto;
  max-width: 80%;
}
.fb-container h4 {
  color: #b1b9c6;
  font-size: 15px;
}
.feedback-container {
  background: none;
  max-width: 600px;
  margin: 50px auto;
  padding: 20px;
  border-radius: 5px;
}
.feedback-form textarea {
  width: 100%;
  height: 100px;
  resize: none;
  margin-bottom: 10px;
}

@media screen and (max-width: 444px) {
  .fb-container h2 {
    font-size: 18px;
  }
  .fb-container h4 {
    font-size: 10px;
  }
  .fb-container input,
  .fb-container textarea,
  .fb-container a,
  .fb-container button {
    font-size: 12px;
  }
}
